Page MenuHomePhabricator

CldrNames duplicate array keys
Closed, ResolvedPublic

Description

Not sure if this is an artefact of the generation process, or of the source data...

There are many files with 'HK' or 'MO' duplicate array keys in the files. Possibly 154 dupes...


Version: unspecified
Severity: minor

Details

Reference
bz38209

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:58 AM
bzimport set Reference to bz38209.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jul 6 2012, 2:17 AM

Haven't checked what the cause is, but I'm guessing that there are multiple unapproved translations in the source files. Shouldn't be in the derivative, though, because it doesn't serve any purpose. I guess the last one should win (arbitrary decision).

Gerrit 50892. The source data contains two translations for the same country code. If possible, this should be prevented in the conversion script.

Patch merged on 2013-03-04 23:54. Closing as FIXED.